import javax.swing.JOptionPane;

class H2O1a
{
public static void main(String args[]) 
{
//exp hesabı while döngüsü kullanarak
double faktoriyel=1;
double x;
double us=1;
double exponent=1;
x=Double.parseDouble(JOptionPane.showInputDialog("Bir sayi giriniz : "));
double sayi=1;
while(sayi<=200)
{
faktoriyel*=sayi;
us*=x;
exponent+=us/faktoriyel;
sayi++;
} 
String s="Hesaplanan              exp("+x+") = "+exponent+"\n Math kütüphanesi exp("+x+") = "+Math.exp(x);
JOptionPane.showMessageDialog(null,s,"exp(x) hesap örneği while döngülü",JOptionPane.PLAIN_MESSAGE);
System.exit(0);
}
}